import cheerio from "cheerio";
import { isTypeReferenceNode } from "typescript";

export namespace Template {
    export async function check(html: string) {
        try {
            const $ = cheerio.load(html);

            return false;
        } catch (error) {
            console.error(`Error occured during stock check!`);
            return false;
        }
    }
}


export namespace FitnessKoerier {
    export async function check(html: string) {
        try {
            const $ = cheerio.load(html);
            if ($('.product-list .stock-msg').find("[itemprop=availability]").attr("content") == "out_of_stock") {
                return false;
            } else {
                return true;
            }
        } catch (error) {
            console.error(`Error occured during stock check!`);
            return false;
        }
    }
}


export namespace FitnessApparaat {
    export async function check(html: string) {
        try {
            const $ = cheerio.load(html);
            console.log($('[itemprop="offers"').find(".stock-red").length);
        } catch (error) {
            console.log(error);
            console.error(`Error occured during stock check!`);
            return false;
        }
    }
}